Name:             mimepull
Version:          1.9.6
Release:          %mkrel 8
Group:            Development/Java
Summary:          Streaming API to access attachments from a MIME message
License:          CDDL and GPLv2 with exceptions
URL:              http://mimepull.java.net

# svn export https://svn.java.net/svn/mimepull~svn/tags/mimepull-1.9.6/ mimepull-1.9.6
# tar cafJ mimepull-1.9.6.tar.xz mimepull-1.9.6
Source0:          mimepull-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(net.java:jvnet-parent:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)

%description
Provides a streaming API to access attachments parts in a MIME message

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# Unavailable plugins
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin

# Unneeded plugins
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin

%pom_remove_plugin :maven-enforcer-plugin
%pom_add_plugin org.apache.maven.plugins:maven-enforcer-plugin:1.0.1 . '
<executions>
    <execution>
        <id>enforce-versions</id>
        <goals>
            <goal>enforce</goal>
        </goals>
    </execution>
</executions>
<configuration>
    <rules>
        <requireJavaVersion>
            <version>[1.7,)</version>
        </requireJavaVersion>
            <requireMavenVersion>
                <version>[3.0.3,)</version>
            </requireMavenVersion>
        <DependencyConvergence/>
    </rules>
</configuration>'


iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.9.6-8.mga9
+ Revision: 1827427
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.9.6-7.mga8
+ Revision: 1536172
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.9.6-6.mga8
+ Revision: 1453652
- Remove useless maven release and buildnumber plugins to fix builds

* Wed Sep 19 2018 umeabot <umeabot> 1.9.6-5.mga7
+ Revision: 1264257
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.9.6-3.mga6
+ Revision: 977303
- First rebuild of the java stack
- sync package mimepull with fedora
- imported package mimepull

* Wed Jan 21 2015 daviddavid <daviddavid> 1.8-7.mga5
+ Revision: 811768
- fix mimepull.jar file directory
  * should be installed on %%{_javadir} not on %%{_javadir}/%%{name} directory
  * otherwise it breaks compile of glassfish-jaxws

* Tue Dec 30 2014 daviddavid <daviddavid> 1.8-6.mga5
+ Revision: 807302
- Sync with fc21
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 507959
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 360073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 gil <gil> 1.8-1.mga3
+ Revision: 220060
- fix BR
- imported package mimepull

